
Foreman - Bug #844

puppetclass host count does not count hosts though a hostgroup

04/14/2011 08:48 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version: 1.8.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1201183 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1746

  

Description

Related issues:

Related to Foreman - Bug #5725: Puppet Classes counters not updating # of hos... Closed 05/14/2014

Related to Foreman - Bug #1448: statistics page 'class distribution' miss count Closed 01/12/2012

Related to Foreman - Bug #10288: audit logs show counter cache information Closed 04/28/2015

Has duplicate Foreman - Bug #3846: Host Groups are not taken into account in ... Duplicate 12/10/2013

Has duplicate Foreman - Bug #10217: Hosts count wrong on Puppet Classes Page Duplicate 04/21/2015

Associated revisions

Revision 83683ed0 - 11/12/2014 04:21 AM - Tomer Brisker

Fixes #844 #5725 - correct hosts count in puppetclass

History

#1 - 09/01/2014 08:54 AM - Tomer Brisker

- Related to Bug #5725: Puppet Classes counters not updating # of hosts being used on added

#2 - 09/01/2014 08:54 AM - Tomer Brisker

- Status changed from New to Assigned

- Assignee set to Tomer Brisker

#3 - 09/01/2014 08:59 AM - Tomer Brisker

- Has duplicate Bug #3846: Host Groups are not taken into account in Puppet Classes usage count added

#4 - 09/01/2014 09:21 AM - Tomer Brisker

- Related to Bug #1448: statistics page 'class distribution' miss count added

#5 - 09/08/2014 08:43 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Target version set to 1.7.4

- Pull request https://github.com/theforeman/foreman/pull/1746 added

- Pull request deleted ()

#6 - 09/10/2014 07:18 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#7 - 09/30/2014 10:31 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2
#8 - 11/12/2014 05:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 83683ed0aeb6ab38d518837698d90c50b4adf65b.

#9 - 11/12/2014 05:17 AM - Dominic Cleal

- Category set to Web Interface

- translation missing: en.field_release set to 28

#10 - 03/12/2015 05:15 AM - Tomer Brisker

- Bugzilla link set to 1201183

#11 - 04/21/2015 06:19 AM - Dominic Cleal

- Has duplicate Bug #10217: Hosts count wrong on Puppet Classes Page added

#12 - 05/20/2015 04:32 AM - Dominic Cleal

- Related to Bug #10288: audit logs show counter cache information added
